Name:           perl-ExtUtils-LibBuilder
Version:        0.06
Release:        6%{?dist}
Summary:        Perl library to build C libraries and programs
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ExtUtils-LibBuilder/
Source0:        http://www.cpan.org/authors/id/A/AM/AMBS/ExtUtils-LibBuilder-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(base)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.23
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Module::Build) >= 0.42
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Some Perl modules need to ship C libraries together with their Perl code.
Although there are mechanisms to compile and link (or glue) C code in your
Perl programs, there was not a clear method to compile standard, self-
contained C libraries.  This module helps in that task.

%prep
%setup -q -n ExtUtils-LibBuilder-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.06-5
- Perl 5.22 rebuild

* Sat Nov 22 2014 Colin B. Macdonald <cbm@m.fsf.org> 0.06-4
- minor revision from feedback.

* Wed Nov 19 2014 Colin B. Macdonald <cbm@m.fsf.org> 0.06-3
- revision from other feedback on other packages.

* Tue Nov 18 2014 Colin B. Macdonald <cbm@m.fsf.org> 0.06-2
- rev bump to try to fix copr for F21

* Fri Oct 03 2014 Colin B. Macdonald <cbm@m.fsf.org> 0.06-1
- Specfile updated according cpanspec 1.78.

* Fri Jun 27 2014 Colin B. Macdonald <cbm@m.fsf.org> 0.04-2
- Specfile autogenerated by cpanspec 1.78.

* Wed Aug 22 2012 Mary Ellen Foster <mefoster@gmail.com> 0.04-1
- Specfile autogenerated by cpanspec 1.78.
